OTPReports

Get customer's SMS traffic reports

Fetch SMS traffic reports based on customer's sent SMS. Traffic report represents the count of SMS sent during a time interval. Traffic report shows growth or decrease in amount of sent SMS over a time period. The amount of sent SMS is accumulated for time intervals (day, week, month) during the time period. For SMS traffic reports, time period parameters filter by SMS created_at field. If no time filtration is provided in the request, by default report will be returned for the current month with a day interval.

GET
/api/v1/sms/reports/traffic

Query Parameters

interval?string

Determines the duration unit's size for the report. Allows to get reports for days, weeks or months. The default value of the interval is day.

Value in"day" | "week" | "month"
period_end?string

Time period filter, determines the end of the period. Accepts string with time either as UNIX timestamp, or in format 2006-01-02T15:04:05Z07:00.

period_start?string

Time period filter, determines the start of the period. Accepts string with time either as UNIX timestamp, or in format 2006-01-02T15:04:05Z07:00.

sms_type?string

Optional parameter. Allows to include only SMS of certain state in the report. If not provided, will show data for all SMS.

Value in"sent" | "delivered" | "not_delivered" | "expired" | "pending"

Header Parameters

Authorization*string

Your API token

Response Body

application/json

application/json

application/json

curl -X GET "https://dev-refactor-api-e.voipenv.uk/api/v1/sms/reports/traffic" \  -H "Authorization: string"
{
  "code": 0,
  "data": [
    {
      "count": 0,
      "date": "string"
    }
  ],
  "error_details": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  },
  "message": "string",
  "request_id": "string",
  "status": "ok"
}
{
  "code": 0,
  "error_details": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  },
  "message": "string",
  "request_id": "string",
  "status": "error"
}
{
  "code": 0,
  "error_details": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  },
  "message": "string",
  "request_id": "string",
  "status": "error"
}
Form Call To Action

Contact us

You can always send us a message or email. Weʼd be happy to help you out.